SuggestionBoxTagHandler (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.taglib.SuggestionBoxTagHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class SuggestionBoxTagHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          com.sun.facelets.tag.MetaTagHandler
              com.sun.facelets.tag.jsf.ComponentHandler
                  org.richfaces.taglib.SuggestionBoxTagHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public class SuggestionBoxTagHandler

extends com.sun.facelets.tag.jsf.ComponentHandler

Component tag handler for Facelets.

Version:
  $Revision: 1.1.2.4 $ $Date: 2007/02/20 20:58:03 $
Author:
  shura (latest modification by $Author: ishabalov $)

Field Summary

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`SuggestionBoxTagHandler(com.sun.facelets.tag.jsf.ComponentConfig config)` Constructor.

Method Summary
`protected com.sun.facelets.tag.MetaRuleset` | `createMetaRuleset(java.lang.Class type)` Creates metarules.

Methods inherited from class com.sun.facelets.tag.jsf.ComponentHandler
`apply, applyNextHandler, createComponent, getFacetName, getId, onComponentCreated, onComponentPopulated`

Methods inherited from class com.sun.facelets.tag.MetaTagHandler
`setAttributes`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SuggestionBoxTagHandler

    public SuggestionBoxTagHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

  Constructor.

  Parameters:
    `config` - `ComponentConfig`

Method Detail

### createMetaRuleset

    protected final com.sun.facelets.tag.MetaRuleset createMetaRuleset(java.lang.Class type)

  Creates metarules.

  Overrides:
    `createMetaRuleset` in class `com.sun.facelets.tag.jsf.ComponentHandler`
  Parameters:
    `type` - Class
  Returns:
    `MetaRuleset`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.